%  written by Mike Perrott with modifications by Scott Willingham
%   Copyright 1999 by Silicon Laboratories, Inc.
%   Modified by Mark Spaeth to support lssig_mex

function [slist] = lssig(x)

if isstruct(x)
  tlist = strvcat(x(1:end).name);
elseif ischar(x)
  tlist = lssig_mex(x);
else
  error('Error: Argument must be a structure or string');
end

if (nargout==0)
  for i=1:size(tlist,1)
    fprintf(1,'%3d : %s\n',i,tlist(i,:));
  end
else
  slist=tlist;
end
